package cn.com.countrygarden.bi.main.service.mediaResource;

import java.io.Serializable;
import java.util.List;

public class TreeNode implements Serializable {
    private String id;

    private String code;

    private String label;

    private List<TreeNode> children;

    public TreeNode() {

    }


    public TreeNode(String id, String label) {
        setId(id);
        setLabel(label);
    }

    public TreeNode(String id,String code, String label) {
        setId(id);
        setCode(code);
        setLabel(label);
    }

    public TreeNode(String id, String label, List<TreeNode> children) {
        setId(id);
        setLabel(label);
        setChildren(children);
    }

    public TreeNode(String id,String code, String label, List<TreeNode> children) {
        setId(id);
        setCode(code);
        setLabel(label);
        setChildren(children);
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label == null ? null : label.trim();
    }

    public List<TreeNode> getChildren() {
        return children;
    }

    public void setChildren(List<TreeNode> children) {
        this.children = children;
    }
}